Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface Inheritance

    public interface Inheritance

Encapsulates the inheritance attributes that can be applied to any `Graphic`.

Version:
  0.2

Field Summary
`static boolean` | `DEFAULT_INHERIT_STYLE_FROM_PARENT` Default inherit style from parent value.
`static boolean` | `DEFAULT_OVERRIDE_AGGREGATED_GRAPHICS` Default override aggregated graphics value.
`static String` | `INHERIT_STYLE_FROM_PARENT` Inherit style from parent attribute name.
`static String` | `OVERRIDE_AGGREGATED_GRAPHICS` Override aggregated graphics attribute name.

Method Summary
`boolean` | `isInheritingStyleFromParent()` Returns the inherit style from parent value.
`boolean` | `isInheritingStyleFromParentSet()` Returns whether the inherit style from parent value has been set.
`boolean` | `isOverridingAggregatedGraphics()` Returns the override aggregated graphics value.
`boolean` | `isOverridingAggregatedGraphicsSet()` Returns whether the override aggregated graphics value has been set.
`void` | `setInheritingStyleFromParent(boolean inheritStyleFromParent)` Sets the inherit style from parent value.
`void` | `setInheritingStyleFromParentSet(boolean flag)` Sets the fact that the inherit style from parent value has been set.
`void` | `setOverridingAggregatedGraphics(boolean overrideAggregatedGraphics)` Sets the override aggregated graphics value.
`void` | `setOverridingAggregatedGraphicsSet(boolean flag)` Sets the fact that the override aggregated graphics value has been set.

Field Detail

### DEFAULT_INHERIT_STYLE_FROM_PARENT

    static final boolean DEFAULT_INHERIT_STYLE_FROM_PARENT

  Default inherit style from parent value.

  See Also:
    Constant Field Values

### DEFAULT_OVERRIDE_AGGREGATED_GRAPHICS

    static final boolean DEFAULT_OVERRIDE_AGGREGATED_GRAPHICS

  Default override aggregated graphics value.

  See Also:
    Constant Field Values

### INHERIT_STYLE_FROM_PARENT

    static final String INHERIT_STYLE_FROM_PARENT

  Inherit style from parent attribute name.

  See Also:
    Constant Field Values

### OVERRIDE_AGGREGATED_GRAPHICS

    static final String OVERRIDE_AGGREGATED_GRAPHICS

  Override aggregated graphics attribute name.

  See Also:
    Constant Field Values

Method Detail

### isInheritingStyleFromParent

    boolean isInheritingStyleFromParent()

  Returns the inherit style from parent value.

  Returns:
    the inherit style from parent value.

### isInheritingStyleFromParentSet

    boolean isInheritingStyleFromParentSet()

  Returns whether the inherit style from parent value has been set.

  Returns:
    `true` if the inherit style from parent value has been set, `false` otherwise.

### setInheritingStyleFromParent

    void setInheritingStyleFromParent(boolean inheritStyleFromParent)

  Sets the inherit style from parent value.

  Parameters:
    `inheritStyleFromParent` - the inherit style from parent value.

### setInheritingStyleFromParentSet

    void setInheritingStyleFromParentSet(boolean flag)

  Sets the fact that the inherit style from parent value has been set.

  Parameters:
    `flag` - `true` if the inherit style from parent value has been set, `false` otherwise.

### isOverridingAggregatedGraphics

    boolean isOverridingAggregatedGraphics()

  Returns the override aggregated graphics value.

  Returns:
    the override aggregated graphics value.

### isOverridingAggregatedGraphicsSet

    boolean isOverridingAggregatedGraphicsSet()

  Returns whether the override aggregated graphics value has been set.

  Returns:
    `true` if the override aggregated graphics value has been set, `false` otherwise.

### setOverridingAggregatedGraphics

    void setOverridingAggregatedGraphics(boolean overrideAggregatedGraphics)

  Sets the override aggregated graphics value.

  Parameters:
    `overrideAggregatedGraphics` - the override aggregated graphics value.

### setOverridingAggregatedGraphicsSet

    void setOverridingAggregatedGraphicsSet(boolean flag)

  Sets the fact that the override aggregated graphics value has been set.

  Parameters:
    `flag` - `true` if the override aggregated graphics value has been set, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.